<?php
/*
 * name: Widget Ressource
 * description: Widget Ressource plugin permet de creer un widget ressource
 * dependencies: no
 * author: Portaneo
 * url: http://www.portaneo.net
 */
register_hook('tutorial_interface_header','loadWidgetRessource',5,0);
register_hook('tutorial_save_widget_ressource','saveWidgetRessourceId',5,3);
register_hook('tutorial_update_widget_ressource','updateWidgetRessourceId',5,4);
register_hook('tutorial_delete_widget_ressource','deleteWidgetRessourceId',5,2);
register_hook('install_plugin_widget_ressource/plugin','WidgetRessource_install');
register_hook('uninstall_plugin_widget_ressource/plugin','WidgetRessource_uninstall');
register_hook('admininterface_header','loadjs',5,0);

function loadjs(){
	$wrid = isset($_GET["wrid"])?$_GET["wrid"]:0;
	if($wrid>0) {
		echo "<script type='text/javascript'> \$p.admin.widgets.currentwidgetRessourceid=".$wrid."; </script>";
		echo "<script type='text/javascript' src='../includes/plugins/plugin_widget_ressource/openwidgetressource.js?v=1.0.0'></script>";
	}
}
function loadWidgetRessource(){
	echo "<script type='text/javascript' src='../includes/plugins/plugin_widget_ressource/javascript.js?v=1.0.0'></script>";
}
function deleteWidgetRessourceId($fct,$item_id) {
	global $DB;
	if($item_id>0) {
		$sql = "UPDATE widget_ressource SET widget_ref_id= '0' WHERE widget_ref_id='".$item_id."';";
		$DB->execute($sql);
	}
}
function updateWidgetRessourceId($fct,$defvar,$desc,$name) {
	global $DB;
	$name = $name;
	$desc = $desc;
	$acces_url = "";
	$image_url = "";
	$sso = 0;
	$opening = 'internal';
	$wrid = 0;
	$matches = array();

 	$matches = preg_split('/&/',$defvar);
	for($i=0;$i<count($matches);$i++)
	{
		$defvar = preg_split('/=/',$matches[$i]);
		if($defvar[0]=='myurl') {
			$acces_url = $defvar[1];
		}elseif($defvar[0]=='myimg') {
			$image_url = $defvar[1];
		}elseif($defvar[0]=='mysso') {
			$sso = $defvar[1];
		}elseif($defvar[0]=='myopen') {
			if($defvar[1]=='dans une nouvelle page')
				$opening = 'external';
			else
				$opening = 'internal';
		}elseif($defvar[0]=='wrid') {
			$wrid = $defvar[1];
		}
	}

	if($wrid>0) {
		$sql = "UPDATE widget_ressource SET name=%s,description=%s,image_url=%s,SSO=%u,opening=%s WHERE id=%u;";
		$DB->execute($sql,
			$DB->quote($name),
			$DB->quote($desc),
			$DB->quote($image_url),
			$DB->escape($sso),
			$DB->quote($opening),
			$DB->escape($wrid)
		);
	}
}
function saveWidgetRessourceId($fct,$item_id,$defvar) {
	global $DB;
	$wrid = 0;
	$matches = array();
	preg_match('/wrid=[0-9]{1,}/',$defvar,$matches);
	if (count($matches) > 0)
	{
		$wrid = preg_split("/=/", $matches[0]);
		$wrid = $wrid[1];
	}
	$sql = "UPDATE widget_ressource SET widget_ref_id= '".$item_id."' WHERE id='".$wrid."';";
	$DB->execute($sql);
}
function WidgetRessource_install(){
	global $DB;
	$sql = "SELECT id FROM applications WHERE title='widgetRessource'";
	$links = $DB->select(FETCH_OBJECT,$sql);
	if (empty($links)){
		$sql = "INSERT INTO applications (title,description,creation_date,icon,action) VALUES ('widgetRessource','',CURRENT_DATE,'../includes/plugins/portaneo_project_mgr/images/menu_icon.gif','widgetRessource.open()')";
		$DB->execute($sql);
		$sql = "CREATE TABLE IF NOT EXISTS `widget_ressource` (
               id MEDIUMINT( 8 ) NOT NULL auto_increment,
               name VARCHAR( 255 ) NOT NULL ,
               description TEXT NOT NULL ,
               acces_url VARCHAR( 255 ) NOT NULL ,
               image_url VARCHAR( 255 ) NOT NULL ,
               SSO TINYINT( 1 ) UNSIGNED DEFAULT '0' NOT NULL,
               opening ENUM('internal','external'),
               widget_ref_id SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
               creation_ref_id SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
			   commentaire TEXT NOT NULL ,
			   PRIMARY KEY  (`id`)
               ) ENGINE = MyISAM;";
		$DB->execute($sql);
	}
}
function WidgetRessource_uninstall(){
	// do not suppress table, they can contain important information !!
	global $DB;
	$sql = "DELETE FROM applications WHERE title='widgetRessource' ";
	$DB->execute($sql);
}
?>
